---
page_title: Delete Card
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/delete-card
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Fdelete-card
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Delete Card

## Endpoints:
- Sandbox: https://sandbox.juspay.in/card/delete/

- Production: https://api.juspay.in/card/delete/

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string
- Value:      <p>Example:- <br> Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==</p>
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String, Mandatory

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X POST https://api.juspay.in/card/delete \
-u your_api_key: \
-H 'x-routing-id: customer_1122'\
-d card_token=c75a9fca-1121-xxxx-xxxx-47d5c4971456

```

### Sample Response:

#### Response:
```json
{
  "card_token": "c75a9fca-1121-418e-973c-47d5c4971456",
  "card_reference": "df2c47951a71e4486827039fad7b039a",
  "deleted": true
}
```

## Body Parameters:
### Parameters:

#### card_token:
- Description: Card token obtained from /card/list API
- Tags: string
## API Responses:
### 200:

#### card_token:
- Description: c75a9fca-1121-418e-973c-47d5c4971456
- Tags: string

#### card_reference:
- Description: df2c47951a71e4486827039fad7b039a
- Tags: string

#### deleted:
- Tags: boolean


---

## See Also

- [List Stored Cards](https://juspay.io/in/docs/api-reference/docs/express-checkout/list-stored-cards)
- [Update Card](https://juspay.io/in/docs/api-reference/docs/express-checkout/update-card)
